/**
 * Copyright 2011 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xume.easybuilders.util;

/**
 * Part of this code has been kindly borrowed from <a href="http://commons.apache.org/lang/">Apache Commons Lang</a>.
 * 
 * @author Johan Siebens
 */
public final class StringUtils {

	private StringUtils() {

	}

	public static String capitalize(String str) {
		if (str == null || str.length() == 0) {
			return str;
		}
		return new StringBuffer(str.length()).append(Character.toTitleCase(str.charAt(0))).append(str.substring(1)).toString();
	}

	public static boolean isNotEmpty(String value) {
		return value != null && value.trim().length() > 0;
	}

	public static boolean isEmpty(String value) {
		return !isNotEmpty(value);
	}

}
